image side maryside = LayeredImageProxy("mary", Transform(crop=(-50, -750, 1920, 1080), xzoom=-1))
default cumstained = False

default persistent.gamebeaten = False
default persistent.top = "mary_shirt"
default persistent.skirt = "mary_skirt"
default persistent.skirtup = "mary_upskirt"
default persistent.stockings = "mary_stockings"
default persistent.hat = "mary_hat"
default persistent.coat = "mary_jacket"
default persistent.menu = 1

label whitedresson:
    $ persistent.top = "mary_shirt_white"
    $ persistent.skirt = "mary_skirt_white"
    $ persistent.skirtup = "mary_upskirt_white"
    $ persistent.stockings = "mary_stockings_white"
    $ persistent.hat = "mary_hat_white"
    $ persistent.coat = "mary_shirt_white"
    return

label whitedressoff:
    $ persistent.top = "mary_shirt"
    $ persistent.skirt = "mary_skirt"
    $ persistent.skirtup = "mary_upskirt"
    $ persistent.stockings = "mary_stockings"
    $ persistent.hat = "mary_hat"
    $ persistent.coat = "mary_jacket"
    return

transform kiss:
    ease 1.0 xpos 300 ypos 220 zpos 600.0
    pause 0.6
    ease 1.0 xalign 0 yalign 0 zpos 0

transform arrive:
    zpos -200 ypos 200
    ease 1.0 zpos 0 yalign 0

transform approach:
    ease 1.0 zpos 400 ypos 200

transform curtsy:
    easein 0.4 ypos 1200
    easein 0.4 ypos 1080

transform pantiesout:
    easein 0.4 ypos 120
    easein 0.4 ypos 0

transform stockingsoff:
    ypos 100 zpos 200
    easein 0.4 ypos 200 zpos 200
    easein 0.4 ypos 100 zpos 200


transform spank:
    pause 0.1
    ease 0.2 ypos 150
    pause 0.1
    ease 0.2 ypos 200

transform stage:
    xpos 40 ypos 100 zpos 200

transform skirtup:
    ypos -50

transform fuckingSPANK:

    easeout 0.2 ypos 100 xpos 70
    #ease 0.05 xpos 100
    easein 0.15 ypos 200 xpos 190

transform moveaway:
    ease 1.0 zpos 0 yalign 0

transform goingdown:
    ease 1.0 ypos 500

transform runaway:
    xpos -50
    ease 1.0 zpos 0 yalign 0

transform leave:
    ease 1.0 zpos -200

label cumming:
    show whitescreen with Dissolve(0.1)
    hide whitescreen with Dissolve(0.3)
    show whitescreen with Dissolve(0.1)
    hide whitescreen with Dissolve(0.5)
    show whitescreen with Dissolve(0.1)
    hide whitescreen with Dissolve(0.8)
    show whitescreen with dissolve
    pause 0.5
    return

init -2:
    # ---------- CTC blinking arrow -------------------
    image ctc_blink:
        0.8
        xpos 15 ypos 10 # This actually doesn't matter, but it doesn't work right without it. Go figure...?
        alpha 1.0 # visible
        "gui/arrow.png"
        0.8
        alpha 0.0 # invisible
        repeat

label splashscreen:
    play music "main_menu_theme.mp3"
    scene whitescreen
    with Pause(1)

    show image "gui/splash_screen.png" with dissolve
    with Pause(3)

    hide image "gui/splash_screen.png" with dissolve
    with Pause(1)

    show image "gui/splash_screen_2.png" with dissolve
    with Pause(3)

    hide image "gui/splash_screen_2.png" with dissolve
    with Pause(1)

    return


label nextday:
    if garbage <= 30:
        jump tooclean
    scene blackscreen with dissolve
    pause 0.3
    show nextday with dissolve
    $ day += 1
    $ whichday = "day" + str(day)
    pause 1
    scene bedroom
    camera:
        perspective True
        zpos -300
        ease 3.0 zpos 0
    with dissolve
    return

label tooclean:
    scene blackscreen with dissolve
    pause 0.3
    show nextday with dissolve
    pause 1
    play music "Yallahs.mp3"
    scene bedroom
    camera:
        perspective True
        zpos -300
        ease 3.0 zpos 0
    with dissolve

    p "Mmff, morning already-"
    p "Wait, SHIT! This isn't nearly messy enough!"
    p "I've gotta throw around some garbage before Mary-"
    play music "Diverti.mp3"
    show mary shirt at arrive with dissolve
    m "Good morning, [title]!"
    m shocked "My, look at how clean the room still is!"
    m happy "Well, we'll have this done in no time!"
    p "I- but- you-"
    m ambitious "Come now, [pname], let us make haste!"
    show blackscreen with dissolve
    "You and Mary successfully finish cleaning your room."
    "You try to sprinkle some random debris as you go, but she tidies it all up behind you."
    $ garbage = 0
    hide blackscreen with dissolve
    m excited "There we are! All done!"
    m normal "Now, you can move along to that job search!"
    m "It's the dawn a whole new era for you, [title]."
    p "...shit."
    show blackscreen with dissolve
    show gameover
    camera:
        perspective True
        zpos -300
        ease 3.0 zpos 0
    with dissolve
    pause 1.0
    "Would you like to retry from the previous morning?"
    menu:
        "Yes":
            $ garbage = 65
            hide gameover
            hide blackscreen
            hide mary
            with Dissolve(2.0)
            jump expression whichday
        "No (Return to Menu)":
            $ MainMenu(confirm=False)()

label roomcleaned:
    play music "Yallahs.mp3"
    hide blackscreen
    show mary shirt
    with dissolve
    m shocked "Wow! We actually finished!"
    p "(Shit! Must not have had enough garbage out!)"
    m happy "[title], I'm so proud of you!"
    m normal "Your room is finally clean!"
    m normal "Now, you can move along to that job search!"
    m "It's the dawn a whole new era for you, [title]."
    p "...shit."
    show blackscreen with dissolve
    show gameover
    camera:
        perspective True
        zpos -300
        ease 3.0 zpos 0
    with dissolve
    pause 1.0
    "Would you like to retry from the previous morning?"
    menu:
        "Yes":
            $ garbage = 65
            hide blackscreen
            hide gameover
            hide mary

            with Dissolve(2.0)
            jump expression whichday
        "No":
            $ MainMenu(confirm=False)()
