﻿# The script of the game goes in this file.

default garbage = 100
default title = "nothing"
default day = 0
default whichday = "day0"

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define m = Character("Mary", image = "mary", who_outlines=[(1, "#E5F3FD", absolute(0), absolute(0))], ctc="ctc_blink")
define mc = Character("Mary", image = "maryside", who_outlines=[(1, "#E5F3FD", absolute(0), absolute(0))], dialogue_right_margin=650, ctc="ctc_blink")
define p = Character("[pname]", who_outlines=[(1, "#E5F3FD", absolute(0), absolute(0))], ctc="ctc_blink")
define mom = Character("Mom", image = "mom", window_right_margin=650, who_outlines=[(1, "#E5F3FD", absolute(0), absolute(0))], ctc="ctc_blink")
define dad = Character("Dad", image = "dad", window_right_margin=650, who_outlines=[(1, "#E5F3FD", absolute(0), absolute(0))], ctc="ctc_blink")
define n = Character (' ', window_left_padding = 165, window_background = Frame("gui/leafframe.png", 12, 12), ctc="ctc_blink")
# The game starts here.

image side mom = "mom.png"
image side dad = "dad.png"

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene blackscreen
    stop music
    if persistent.gamebeaten == True:
        "Would you like to play the full game with Mary's white dress?"
        menu:
            "Yes.":
                call whitedresson from _call_whitedresson
            "No.":
                call whitedressoff from _call_whitedressoff
    python:
        pname = renpy.input("What is your name?", length=32)
        pname = pname.strip()

        if not pname:
             pname = "Chad"
    scene bedroom
    play music "Yallahs.mp3" fadein 2.0
    $ title = "Mister"
    camera:
        perspective True
        zpos -300
        ease 3.0 zpos 0
    with dissolve
    p "Ahh, another day in paradise."
    p "This is the life... no job, no worries."
    p "All I have to do is hang out and play video games."
    p "And the only problem is-"

    stop music

    dad "{size=+20}[pname]!{/size}" with vpunch



    p "...Mom and Dad."
    play music 'audio/Yallahs.mp3' fadein 2.0
    dad "[pname], I am tired of you living in our basement!"
    dad "It's time you get out into the world, and apply yourself!"
    p "(Translation- time to go slave away at some minimum wage shithole.)"
    mom "He's right, dear. You need to explore the world! Chase your bliss!"
    mom "Who knows, you might even meet a girl you like!"
    p "(I've already found my bliss, right here. And who needs girls when I have my waifus?)"
    p "(Everyone knows 2D is better than 3D anyways. Asuna Yuki has won my heart.)"
    dad "Well? Have you got anything to say for yourself?"
    p "(I have to play this carefully... can't be too opposed.)"

    menu:
        "You're right. I need to shape up.":
            p "Thank you guys for this wake-up call."
            dad "I- oh. Really?"
            mom "Oh, sweetheart, I'm so proud of you!"
            p "Yeah. I'll start looking for a job right away. Or-"
            dad "Or? Or what?"
            p "Or- I would, but..."
        "Maybe I should start small.":
            p "After all, don't want to overcommit to something I can't finish."
            dad "How small are we talking here?"
            mom "Oh, honey, as long as you're taking steps to improve, I'll be proud of you."
            p "I should start with... hmm, well..."
        "Fuck off, you fat bitches.":
            p "(No, no, I can't say that. I've got to play this cool.)"
            p "I guess I could give that a try."
            mom "Oh, sweetheart, I'm so proud of you!"
            p "Yeah. I'll start looking for a job right away. Or-"
            dad "Or? Or what?"
            p "Or- I would, but..."

    mom "What is it, sweetheart?"
    p "Well, it's my room. A cluttered room makes a cluttered mind- and mine is as cluttered as it could be!"
    p "And, I'm afraid I don't know that I could clean this all by myself."
    p "(Can't, and won't. Besides, these two don't have the backbone to call me out on it.)"
    mom "Oh- I suppose that would be difficult."
    dad "So, what, you're throwing in the towel already?! Typical!"
    p "No, not at all! But I need to clean my room first."
    p "Maybe... could one of {i}you{/i} help me?"
    p "(Easiest bluff of my life. No way EITHER of them is getting near one of these piles of filth.)"
    mom "Oh, that's- uhm- I don't know that-"
    dad "Your mother and I are far too busy to help you with a task this large."
    p "Oh, man. Well, I guess we're-"
    dad "BUT, we can HIRE someone to do so."
    p "I- wait, what?"
    mom "Oh, excellent idea, honey! We'll hire a maid!"
    mom "Someone to help you with the cleaning, [pname]- wouldn't that be wonderful?"
    p "(Absolutely not.)"
    p "Absolutely, it would!"
    dad "Perfect! I'll look into it right away."
    p "(Aaaand... there they go, back up the stairs.)"
    p "Fuck! A maid?! I didn't think they'd be willing to shell out that kind of cash to get rid of me."
    p "Well, alright- the good news is, it'll probably take them weeks to find someone willing to touch this mess."
    p "That ought to buy me enough time to figure out another strategy."
    p "But in the meantime... back to the internet."
    p "Ooh, a new update for 'Summertime Saga'..."
    call nextday from _call_nextday
    label day1:
    p "Ahh, another beautiful day."
    p "Wake up bright and early at the crack of 12:30, and-"
    dad "Morning champ!"
    p "{size=+15}AAH!{/size}" with vpunch
    dad "Rise and shine, 'cause the new maid's gonna be here any minute~!"
    p "Wha- new maid? Already?!"
    dad "That's right! I couldn't believe it either, but we got a response to our online ad in minutes!"
    p "(FUCK!)"
    p "Wow, that's- amazing!"
    dad "Sure is! Woman seems nice. English, I think."
    p "(A woman? So another bitch to nag me like mom does?)"
    p "(I'm really gonna have to figure out a new plan now... how did she respond so fast?)"
    dad "Ooh, I think that's her and mom coming down the stairs now!"
    p "(Shit- thank god I didn't sleep naked last night.)"
    mom "Alright, sweetheart, here she is! Meet Mary Poppins!"
    show mary hat at arrive with dissolve
    play music "Diverti.mp3"
    m "It's a pleasure to meet you, [pname]. I-"
    m concerned "Oh!"
    dad "Oh? Is something wrong?"
    m nervous "Oh, no, it's not, it just-"
    m "Well, I usually work with {i}younger{/I} children than this."
    m concerned "I suppose I should have asked how old he was..."
    mom "Oh, [pname]'s always going to be my little boy."
    dad "It's not a problem, is it?"
    p "(Perfect! This is my chance!)"
    p "Well, of course it is! If you're a childcare professional, I couldn't ask you to help me."
    p "After all, it isn't in your job description! You'd be in over your head."
    m indignant "Why, there's no such thing!"
    m ambitious "Mary Poppins does not shy away from a challenge!"
    m "In short time, I shall turn you into a prim and proper gentleman, [title] [pname]."
    mom "Wonderful!"
    p "(Shit, I can already tell she'll be a pain in the ass.)"
    p "(On the bright side, at least she's kind of hot.)"
    dad "Well, we'll leave you two to it!"
    dad "Let us know if you need anything, Mary."
    m "Of course, sir. Now off with you!"
    mom "Why, yes, Ma'am!"
    m "Alright, [pname], it's high time we get down to business!"
    m "Your parents have already told me, our first task is to clean up this room."
    p "I- yes, it is."
    p "But as you can see, it's going to be a bit of an ordeal."
    m "Nonsense! It just needs a bit of a touch up."
    m "Allow me to put these over here-"
    show mary hatless with dissolve
    show mary shirt with dissolve
    m "And you and I can get down to it!"
    p "(I was right- she IS hot!)"
    p "(Maybe even hotter than my waifus...)"
    p "(And already conveniently inside my house.)"
    p "(Maybe I {i}will{/i} meet someone like Mom asked.)"
    p "I suppose so... but I don't know how we could possibly get through all of this."
    m normal "Why, that's simple! We'll make a game of it!"
    p "A game?"
    m "Of course! You see, in every task that must be done, there is an element of fun!"
    m happy "A spoonful of sugar helps the medicine go down, [title] [pname]!"
    p "Huh- that's interesting."
    p "But I'm not particularly interested in games."
    m concerned "You- you're not?"
    play music "Tea Roots.mp3"
    p "No, not really. I mean, that may work on one of the children you usually teach, but I'm an adult."
    m "Oh- I suppose that's true..."
    m normal "Well, perhaps a different spoonful of sugar would help!"
    m "What do you think? What could motivate you to clean your room, [pname]?"
    menu whatdoyouwant:
        "Maybe a kiss.":
            m worried "A kiss?!"
            m embarrassed "Come now, [pname], now isn't the time for jokes."
            p "Who's joking? I would like to kiss you."
            m concerned "I- that's completely improper! Like any good nanny, I am only here to help you clean; not to fraternize."

        "A thousand bucks would be nice.":
            m annoyed "[pname], I know you think you're being funny, but that isn't going to get us anywhere."
            m "I need a serious answer from you, and you're wasting both of our time until you give it to me."
            m "What would it take to motivate you to clean your room?"
            jump whatdoyouwant

        "Show me your tits.":
            m indignant "[title] [pname], that is wildly inappropriate!"
            m annoyed "If you are going to be such a child, perhaps I WILL treat you like one- and put you in time out!"
            m "So now, a REAL answer- what would get you to clean your room?"
            jump whatdoyouwant

    p "Well, you asked what would motivate me- that would work."
    p "I don't really want much of anything else- and I don't like sweets."
    m concerned "Well, perhaps you- or I could..."
    p "Yes, Miss Poppins?"
    m resigned "Perhaps... a kiss on the cheek wouldn't be too bad."
    m "Would that be all right?"
    p "Yes, it would."
    p "(For now.)"
    m nervous "Very well."
    play sound "kiss.mp3"
    show mary at kiss
    m kiss "*smk!*"
    m nervous "There you are. Now, it's time to clean."
    p "A deal is a deal."
    show blackscreen with dissolve
    play music "Diverti.mp3"
    show mary normal
    "You and Mary tidied up your bedroom a bit."
    "She told you about how housework was just like video games."
    "You feel as though the message was lost on you."
    $ garbage -= 40
    if garbage <= 0:
        jump roomcleaned
    hide blackscreen with dissolve
    m normal "Well, that's a day of hard work behind us!"
    m concerned "I must admit, I was hoping that we would get through more..."
    m happy "But I'm still satisfied with what we accomplished!"
    m normal "Wouldn't you agree?"
    menu:
        "No, not really.":
            m annoyed "Well, if you're going to be a spoilsport, then that's fine."
            m ambitious "I know I can instill a love of cleaning in you yet!"
            p "I doubt it."

        "Yeah, sure, whatever.":
            m happy "Oh, come now, no need to be so glum!"
            m normal "I'm sure that there's some part of you that appreciates the feeling of a job well done."
            p "If there is, it's deep, {i}deep{/i} inside."

        "I just enjoyed spending time with you.":
            m happy "Why, aren't you sweet!"
            m normal "I had a nice time with you as well."
            m "Chores aren't so bad when they're with the right company, are they?"
            p "I guess not- but I'd rather have the company without the chores."

    m normal "Well, either way, I'll be back here bright and early tomorrow morning..."
    m "We'll finish off the rest of this cleaning, and then get on to brighter days ahead!"
    p "Sounds lovely, thanks."
    m "Tata, [title] [pname]."
    hide mary at leave with dissolve
    play music "Yallahs.mp3"
    p "Tata indeed, Miss Poppins..."
    p "I'll tell you one thing for sure... we aren't finishing {i}anything{/i} tomorrow."
    p "Today I managed to get a kiss on the cheek out of her... I wonder what ELSE I could get?"
    p "First things first, though... I have to make sure this room doesn't get clean."
    p "And that means I'm gonna have to undo all of my hard work..."
    p "Time to channel the NEET power I've been storing my whole life!"

    show important with dissolve
    "Click the button in the center of the screen as fast as you can to generate garbage."
    "The minigame will end when either you fill up the room or time runs out."
    hide important
    call gamestart from _call_gamestart


    p "Now, just to wait for Mary to come back..."
    call nextday from _call_nextday_1
    label day2:

    p "Who could that be I hear coming down the stairs?"
    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.
    play music "Diverti.mp3"
    show mary hatless shirt at arrive
    m "Good morning, [title] [pname], I hope you're-"
    m shocked "Oh, my stars!" with vpunch
    m nervous "What on earth happened in here?"
    menu:
        "What do you mean?":
            m annoyed "What do I MEAN?!"
            m "Your bedroom is, once again, a pigsty!"

        "A tornado hit my room.":
            m indignant "[title] [pname], now is not the time for jokes!"

        "A wicked session of Marvel Rivals.":
            p "Invisible Woman got me down bad."
            m "I'm not sure what that means, but it hardly excuses this mess!"


    m concerned "We made so much good progress yesterday, and it seems that all of that work has been undone."
    p "Oh- I'm sorry, Miss Poppins."
    p "I guess I just make a lot of mess; that's how my room got like this in the first place."
    m annoyed "Well, do try to keep a bit tidier going forward, would you?"
    p "Of course."
    p "(Not a chance in hell.)"
    m indignant "All right. Well, if we must get started again, there's no time to waste."
    m "Let's start over here, with-"
    p "Um, Miss Poppins? Aren't you forgetting something?"
    m nervous "Oh?"
    p "My spoonful of sugar, remember?"
    play music "Tea Roots.mp3"
    m "Spoonful of-"
    m embarrassed "Oh. I see. Well, another kiss on the cheek then-"
    p "Actually, I don't know if that's going to do it today."
    m worried "What?"
    p "Well, that was fine before, but now... the room is so messy again, I feel even {i}less{/i} motivated to clean it."
    p "I feel like I need something more than just a kiss on the cheek to pep me up."
    m indignant "Now, [title] [pname], I can understand a bit of malaise, but there's no need to be dramatic!"
    m normal "If you and I work hard, we can surely tidy this mess up once more!"
    p "I'm sorry, Miss Poppins, but I just don't know that I feel motivated."
    m annoyed "Hmph! Well, aren't you the image of a pouting child!"
    m indignant "All right, then. Tell me, what 'spoonful of sugar' would you like today?"
    menu whatchawant2:
        "Get on your knees and bark like a dog.":
            m worried "Excuse me?!"
            m indignant "[title] [pname], I don't know what kind of joke you think you're making, but it is extremely childish."
            m "Give me a serious suggestion, please."
            jump whatchawant2
        "I want to spank you.":
            m worried "You- you what?!"
            p "I want to spank you. I want you to let me spank you on your rear end."
            m angry "[title] [pname], that is OUTRAGEOUSLY inappropriate!" with vpunch
            m "If this is the way you intend to conduct yourself, then I-"
            p "I thought Mary Poppins didn't shy away from a challenge?"


        "Buy my custom NFTs.":
            m annoyed "I don't understand what that means, and I refuse to entertain it."
            jump whatchawant2

    m shocked "I- what?"
    p "That's what you said yesterday. 'Mary Poppins does not shy away from a challenge.'"
    p "Is getting me to clean my room too much of a challenge for you?"
    m angry "I-- you--"
    m frustrated "*Sigh* Of course it isn't!"
    m indignant "Alright, you may..."
    m nervous "Spank... my bottom..."
    m outraged "ONE time! No more! You understand?!"
    p "I understand perfectly."
    m embarrassed "...All right then."
    show mary at approach
    p "(Shit, I can't believe she was this easy!)"
    p "(She's so close... I can smell her perfume.)"
    m concerned "Well? Go ahead and do it already..."
    p "(How do I wanna play this?)"
    menu:
        "Spank her lightly.":
            play sound "slap.mp3"
            show mary worried at spank
            m "Oh!" with vpunch
            show mary at moveaway
            m embarrassed "Alright, there you are."
            p "It was everything I hoped it would be."
            m "Yes, yes, I'm quite sure."

        "Leave a hand print.":
            play sound "whip.mp3"
            show mary shocked at fuckingSPANK
            m "{size=+50}OUCH!{/size}" with vpunch
            show mary:
                xzoom -1
            show mary at runaway
            m angry "What in BLAZES do you think you're doing?!?!" with vpunch
            p "What? You told me I could spank you!"
            m outraged "I did NOT mean that you could..."
            m angry "You weren't supposed to hit me so HARD!" with vpunch
            p "Oh, I'm sorry, Miss Poppins- you should've been more specific!"
            m shocked "I-- {i}I{/i} should've--"
            p "(Uh-oh... did I push her too far with that one?)"
            m angry "You-- you--"
            m frustrated "Of course not. No! You're right."
            p "(Shit, I am?)"
            m "That was entirely improper of me. I should have clarified the agreement better to begin with."
            p "(Boy, that British etiquette is dug in DEEP.)"
            p "I forgive you, Mary."
            m annoyed "It's {i}Miss Poppins,{/i} if you please."
            p "Of course."
    m nervous "Well, with that behind us, now we can finally get to the cleaning."
    m resigned "Shall we?"
    p "It would be my pleasure."
    show blackscreen with dissolve
    play music "Diverti.mp3"
    show mary normal
    "You and Mary worked hard to clean your bedroom."
    "She explained to you that hard work was its own reward."
    "You were more focused on her ass, as she bent over to pick up some trash off the floor."
    $ garbage -= 50
    if garbage <= 0:
        jump roomcleaned
    hide blackscreen with dissolve
    m "Well, that was a productive cleaning session."
    m concerned "Now, do try not to make it too messy by tomorrow, alright?"
    p "I promise to do my best, Mary."
    m annoyed "Miss Poppins."
    p "Right."
    m embarrassed "And... perhaps tomorrow, you won't need a 'spoonful of sugar' to do your chores, do you suppose?"
    p "I guess we'll just have to wait and see."
    m resigned "Right."
    m "Well, then... tata, [title] [pname]."
    hide mary with dissolve
    play music "Yallahs.mp3"
    p "See you tomorrow, Mary..."
    p "I'm sure my spoonful of sugar is going to need to be even {i}bigger{/i} by then."
    p "After all, my room is such a mess..."
    call gamestart from _call_gamestart_1
    p "Now, time for some Pharmercy fanfics... x-rated, please..."
    call nextday from _call_nextday_2
    label day3:

    p "All right... I'm all set."
    p "Under the covers... hair lightly tousled..."
    p "And of course... shirt off."
    p "Now, all I have to do is wait for-"
    play music "Diverti.mp3"
    show mary hatless shirt at arrive with dissolve
    m "Good morning, [title] [pname], I hope you're-"
    m concerned "Oh. Oh dear."
    m resigned "I see our talk about not being too messy didn't prove very effective..."
    m annoyed "This would be understandable if you were a child, like I usually deal with."
    p "Mmmhmm..."
    m shocked "And still in bed?!"
    m indignant "Why, it's far past time to be up, [title] [pname]. Come on now! Up you go!"
    p "Alright, alright..."
    m "There you are. Now, you and I are going to get down to-"
    m flustered "To-"
    p "(All according to keikaku.)"
    m embarrassed "[title] [pname], you- ahem. You seem to have forgotten to wear your night-shirt."
    p "I have never worn a night shirt in my life."
    m "Ah- I see."
    m "Well, then, would you please put on a shirt?"
    p "Why?"
    m nervous "Why?"
    m indignant "It's indecent! You must wear a shirt in the company of others!"
    m frustrated "I insist that you put on a shirt this instant."
    menu:
        "Alright, don't get your panties in a twist.":
            m shocked "Excuse me?!"
            p "You heard me."
            m angry "I don't know what has gotten into you today, but you're more petulant than ever!"
            m outraged "Perhaps you'd be best off cleaning your OWN room for a while."
            p "(Shit, overdid it. Dial it back, dial it back.)"
            p "Okay, you're right. I'm sorry."
            p "I think I just got up on the wrong side of the bed."
            m annoyed "Well, then you had better move over to the RIGHT side of the bed, very quickly!"

        "Say please.":
            m shocked "I beg your pardon?"
            p "I want you to say please."
            p "That's decent manners, isn't it? I would think you would know something like that."
            m flustered "I- you!"
            m angry "Of course I know that!"
            p "Then say it."
            m annoyed "..."
            m indignant "Please put a shirt on, [title] [pname]."
            p "There's a good girl."
            m annoyed "Now, that's enough of that, too! You had better leave this attitude of yours behind this instant!"

        "Fine, if you insist.":
            m annoyed "What has gotten into you today?"
            m frustrated "You're more difficult than usual."
            p "(She's right. I should dial it back a bit.)"
            p "You're right. I'm sorry."
            m nervous "Thank you. Are you going to behave yourself from now on?"

    p "I will. I'm ready to clean."
    m frustrated "Good. Then we'll start with-"
    p "After I get my spoonful of sugar, of course."
    m annoyed "I- after how you've just been speaking to me, I  don't think you deserve sugar!"
    p "Well, then how am I supposed to get any cleaning done?"
    m "You'll simply have to do it on your own!"
    p "I don't know, Miss Poppins- I don't think that will work for me."
    p "That's how my room got like this in the first place, you know?"
    play music "Tea Roots.mp3"
    m frustrated "Hrrm- fine! Have it your way. What is it you want today?"

    menu whatchawant3:
        "Let me piss in your open mouth.":
            p "(Jesus Christ, I can't say that to her.)"
            p "(In fact, I don't think I even want to do that.)"
            p "(Why did I think this as an option?)"
            jump whatchawant3
        "Give me a mint edition Jackie Robinson rookie card.":
            m concerned "Is that some sort of sports reference?"
            m "I'm sorry, but across the pond, all I get is cricket..."
            m excited "I could get you some cricket player cards, though!"
            m "I have a limited edition Chesterly Pendlington card in my bag upstairs!"
            p "I literally cannot think of an object I would want less than that card."
            m nervous "Oh, all right. Then what ELSE do you want?"
            jump whatchawant3
        "Call me Master.":
            m concerned "I'm sorry- call you {i}what?{/i}"
            p "Well, you're properly a nanny, right? And it's only decent for a nanny to refer to those she waits on as [title] or Mistress."
            m nervous "I- well, I suppose that's not incorrect, but-"
            p "So you always call me Mister [pname]. But it really should be {i}Master{/i} [pname]."
    m embarrassed "I... well, I suppose you have a point..."
    m concerned "And that's all I'll have to do today? And you'll clean?"
    p "As soon as you say the words I wanna hear."
    m embarrassed "Alright... let's get to work..."
    m resigned "Master [pname]..."
    $ title = "Master"
    p "(I am rock hard right now.)"
    p "Let's get cracking!"
    show blackscreen with dissolve
    play music "Diverti.mp3"
    show mary normal
    "You and Mary worked voraciously to clean your bedroom."
    "She used the word 'voraciously' very intently, and tried to convince you to expand your vocabulary."
    "You reminded her that cleaning ladies weren't meant for talking, and she seemed to withdraw, embarrassed."
    $ garbage -= 55
    if garbage <= 0:
        jump roomcleaned
    hide blackscreen with dissolve
    m bashful "Well, there we are, [title] [pname]. A lot of progress made!"
    m concerned "Hopefully it won't be undone tonight..."
    p "All we can do is wait and see."
    m nervous "Yes..."
    m "Well... goodnight, [title]."
    p "Goodnight, Mary."
    m worried "I-"
    m concerned "{size=-15}Well, it seems silly to complain about that now...{/size}"
    m resigned "{size=-15}If he's {i}[title]{/i}, why {i}wouldn't{/i} I be Mary?{/size}"
    p "Sorry, did you say something, Mary?"
    m happy "Oh, it was nothing, [title] [pname]!"
    m bashful "I'll see you tomorrow!"
    hide mary with dissolve
    play music "Yallahs.mp3"
    p "Alright, now we're getting somewhere."
    p "[title] [pname]... I do like the sound of that."
    p "Now... to restore my domain to its rightful state."
    call gamestart from _call_gamestart_2

    p "Tomorrow, I'm really pushing it."
    call nextday from _call_nextday_3
    label day4:
    play music "Diverti.mp3"
    show mary happy shirt at arrive with dissolve

    m "Good morning, [title] [pname], I-"
    m concerned "Oh. Oh dear."
    m nervous "As messy as ever, I see."
    m annoyed "And still in bed again- [title] [pname], wake up this instant!"
    p "Alright, alright, I'm getting up."
    m shocked "Uph! And-"
    m outraged "And put a shirt on!"
    p "Actually, I've decided that I'm going to clean without a shirt on today."
    m shocked "Wh-"
    p "And I want {i}you{/i} to, as well."
    m "I-"
    play music "Tea Roots.mp3"
    m worried "What?!" with vpunch
    p "That's my spoonful of sugar today. I want you to take off your shirt."
    m "I- you- [title], that is {i}highly{/i} inappropriate-"
    p "I assume someone as proper as you is wearing undergarments, are you not?"
    m embarrassed "I- why, of course I am, but-"
    p "So you wouldn't even be indecent."
    m shocked "I-"
    m outraged "{size=+5}Being in front of you in only my undergarments IS indecent!!{/size}" with vpunch
    menu:
        "Why? We'll both be shirtless. It's a level playing field.":
            m embarrassed "I- that hardly levels anything!"
            m frustrated "For one, it's different when a man is shirtless. But a lady must remain proper at all times."
            p "But this isn't a proper environment; we're surrounded by mess anyways."
            p "If anything, you'll get less stuff on your clothes."
            m concerned "Well... there are always a lot of crumbs on your duvet..."
            m frustrated "And your desk... and your countertop."
            p "See? You'll be saving yourself some trouble cleaning."

        "Nonetheless, I won't clean until you do it.":
            m flustered "You- you've completely misunderstood the point of these rewards!"
            m outraged "I am not BRIBING you to clean your room!"
            p "No, you were simply offering something palatable to make it more enjoyable."
            p "Children enjoy sugar, so they take their medicine with it."
            p "I don't enjoy cleaning, but I {i}would{/i} enjoy seeing you with your shirt off."
            p "So receiving one is likely to make the other a more pleasant experience."
            m "That's- that's-"
            m flustered "Well, you actually seem to have understood it quite well."
            p "So does that mean you'll do it?"
            m "I-- I--"

        "You're overthinking this. It's a simple task!":
            m indignant "The complexity of it is not my issue!"
            m flustered "It wouldn't be proper of me to take my shirt off."
            p "But it's what I want. It's my spoonful of sugar."
            p "I thought you were devoted to helping me improve..."
            p "But I guess I was wrong."
            m concerned "But I- you-"

    # These display lines of dialogue.

    m resigned "Oh, alright, if you insist."
    m outraged "But this one is a ONE-TIME thing, you understand?!"
    m indignant "I shall NOT be taking my shirt off again!"
    p "Of course not."
    p "(Not without something else, certainly.)"
    hide mary
    show important
    show mary nervous shirt at stage
    with dissolve
    m nervous "And JUST the shirt. I'm not taking off any undergarments, you understand?"
    p "Of course not! How absurd."
    m indignant "Isn't it all."
    m embarrassed "Alright..."
    play sound "shirtoff.mp3"
    show mary bra bashful at stage with dissolve
    p "(Holy shit, that bra looks like it came straight out of the Great Depression.)"
    p "(I'd be depressed too, if topless women were dressed like that.)"
    if persistent.top == "mary_shirt_white":
        p "(And is it me, or does she have less cleavage now than she did before?)"
        p "(It almost looks like some dev was too lazy to make a second bra asset...)"
        p "(Curse you, Shagamon!)"
    m "There you go... just like you asked..."
    m resigned "I am now... shirtless..."
    p "And so am I! And now we can clean together."
    m "Lovely..."
    show blackscreen with dissolve
    hide important
    hide mary
    play music "Diverti.mp3"
    "You and Mary worked tirelessly to clean your bedroom."
    "She noticed every time you looked at her chest, and looked away, blushing furiously."
    "Nonetheless, you continued to look as often as you felt like."
    $ garbage -= 60
    if garbage <= 0:
        jump roomcleaned
    hide blackscreen
    show mary bra embarrassed
    with dissolve
    m "Okay, that's a good amount of cleaning for today."
    m bashful "May I please put my shirt back on, [title]?"
    p "No- just right before you leave."
    m embarrassed "Of course."
    p "But make sure you put it on before my parents might see you..."
    p "I have a feeling they may not agree with your 'spoonful of sugar' methods."
    m ashamed "No, I imagine they wouldn't..."
    m ashamed "Although, this sort of thing typically isn't a part of it..."
    p "Well, look at you! Embracing new possibilities. You really don't back down from a challenge!"
    m bashful "No, I suppose I don't, do I?"
    p "Well, off you go, Mary. I'll see you tomorrow."
    m embarrassed "{size=-15}And now you're dismissing me? I am not a servant...{/size}"
    m outraged "[title] [pname], I shall leave when I am good and ready!"
    show mary annoyed
    p "Oh... alright."
    menu:
        "Sit in silence.":
            m annoyed "..."
            p "......"
            m nervous "......"
            p "....."
            m embarrassed "......."
            m ashamed "{size=-15}Well, this was sort of silly...{/size}"
            p "Yes, it was."
            m shocked "I- you-"
            m bashful "Good night, [title]."
            hide mary with dissolve
            m ashamed "{size=-30}So embarrassing! Stupid!{/size}"
        "Stare at her chest.":
            p "...."
            m "[title]- you-"
            m embarrassed "[title], would you please... erm..."
            m ashamed "Please look away from my..."
            m pleading "...look away from my breasts..."
            p "I'm sorry, but they ARE distracting."
            m embarrassed "I suppose that's true..."
            m pleading "Perhaps I'd better leave after all."
            p "I think that would be best. You're dismissed, Mary."
            m shocked "But I- you-"
            m embarrassed "Oh, alright."
            hide mary with dissolve

    play music "Yallahs.mp3"
    p "It is getting far too entertaining to mess with her."
    p "All the more reason to re-trashify this room!"
    call gamestart from _call_gamestart_3
    p "You'd think eventually she would get fed up with me completely undoing all of our hard work."
    p "I guess it would be impolite to call me out on it, though."
    p "People with manners are suckers."

    call nextday from _call_nextday_4
    label day5:
    play music "Diverti.mp3"
    show mary shirt bashful at arrive with dissolve
    m "Good morning, [title] [pname], I see you've had another messy night."
    m concerned "And you're still in bed again... would you {i}please{/i} get up?"
    p "Ahh... good morning, Mary."
    m pleading "Good morning, [title]..."
    m nervous "Do you think you could put a shirt on today?"
    p "Hmm... I don't know that I'm feeling up to it."
    p "Maybe you should take {i}yours{/i} off."
    m outraged "[title], we talked about that being a one-time-"
    p "Relax, Mary, that was just a joke."
    m nervous "Oh. I see."
    m indignant "Well, I'm glad we've moved past your childish games, and can get down to-"
    p "Oh, I still want something before we can start."
    m concerned "I see."
    p "But don't worry- today, you don't have to take any clothes off."
    m annoyed "Why, thank you, [title]."
    p "I know, it's generous. But in truth, all I want is a good look at you."
    m nervous "A look? But... you're looking at me now."
    p "Oh, I'm sorry- you've misunderstood. I want to look at ALL of you."
    p "So go ahead and lift up that skirt, and give me a few seconds to observe."
    play music "Tea Roots.mp3"
    m shocked "Gh- MY SKIRT?!"
    m outraged "[title], you have gone too far! This is unacceptable!"
    m embarrassed "If you expect me to- to, to STRIP for you, then you have another think coming!"
    p "I'm sorry, I thought Mary Poppins didn't back down from a challenge?"
    p "Oh well. I'll just have to tell mom and dad this new nanny couldn't cut it."
    m flustered "Why- I- you-"
    m outraged "Mary Poppins does not give in! But what you are asking for is outrageous!"
    menu:
        "Then I find another cleaning lady. Your call.":
            m concerned "I- no, I don't want you to do that..."
            m desperate "But what you're asking for is too much!"

        "It's just a little skin!":
            m embarrassed "Well, it actually isn't any skin- I have stockings on, after all."
            p "So you're still fully covered! It's not even a problem!"

        "Are you really going to let your pride get in the way of your job?":
            m concerned "I- of course not! I'm never afraid to get my hands dirty!"
            m desperate "But this is different!"

    p "Come now, Mary, we've gotten somewhat close these past few days, haven't we?"
    p "Cleaning together tends to bond people strongly."
    m concerned "That is true..."
    p "Don't let this relationship go just because of a bit of cloth."
    p "Why, I think your strategy is working! I'm actually starting to enjoy cleaning!"
    m "You..."
    m bashful "You are?"
    p "(Absolutely fucking not.)"
    p "Absolutely, I am!"
    p "You've helped me so much already, Mary."
    p "Won't you help me with this one more thing?"
    p "If you do, I'll even put on a shirt."
    m "Well... I..."
    m happy "I knew I would get through to you eventually, [title] [pname]!"
    m normal "I told you, housework is its own reward!"
    p "Yes, you did. But I do also want my OTHER reward."
    m embarrassed "Oh... well, of course."
    hide mary
    show important
    show mary shirt embarrassed at stage
    with dissolve
    m "So... just a few seconds, right?"
    p "I'll tell you when I'm finished."
    m "Erm... alright."
    m ashamed "Here goes nothing..."

    show mary at skirtup
    show bedroom:
        ypos 800
    with ease
    show mary bottomless upskirt with dissolve
    m pleading "There! There you are, [title]!"
    p "Where on earth do you buy this ancient underwear of yours?"
    m shocked "What?!"
    p "First the bra, now these- it's like your dresser is out of the 1940s."
    m frustrated "[title], I'd kindly thank you to refrain from comments about my underwear."
    p "I'm sorry, but I'm trying to enjoy the view, and it's like the Mona Lisa is wearing a feather boa."
    m embarrassed "Well..."
    m flattered "Mona Lisa. That's quite the compliment."
    p "(Shit, that's a freebie.)"
    p "(How to capitalize on it...)"
    menu:
        "I meant it. You look lovely.":
            m bashful "Why, thank you, [title]."
            m "You know, this nice attitude of yours suits you far better than your usual..."
            m concerned "Oh, I don't want to be mean."
            p "It's alright, Mary. You're right, I've been far too short tempered with you."
            p "But I really do appreciate your patience with me."
            m bashful "...Thank you, [title]."
            m embarrassed "...May I put my skirt down, now?"
            menu:
                "When I say so.":
                    m bashful "As you wish."
                    m "..."
                    p "..."
                    m embarrassed "..."
                    p "..."
                    m ashamed "..."
                    p "...okay, you can put it down."
                    m resigned "Thank you, [title]."
                    show mary skirt skirtdown with dissolve
                "You may.":
                    m flattered "Thank you, [title]."
                    show mary skirt skirtdown with dissolve

            show mary:
                ypos 100
            show bedroom:
                ypos 1080
            with ease

            m normal "Now, let's get to cleaning, shall we?"
            p "We shall."

        "I didn't mean it like that. You must have quite the ego.":
            m annoyed "Oh. Well, then..."
            m outraged "I won't bother you with the view any longer!"
            show mary skirtdown skirt
            show mary:
                ypos 100
            show bedroom:
                ypos 1080
            with ease
            p "Hey, I didn't say you could-"
            m indignant "Now, you have had QUITE your fill, [title] [pname], and it's high time we got to cleaning!"
            p "Okay, okay."
    show blackscreen with dissolve
    hide important
    hide mary
    play music "Diverti.mp3"
    "You and Mary worked diligently to clean your bedroom."
    "You made sure to graze your hands against her ass whenever you passed by."
    "She tried frequently to lean away, but you outmaneuvered her every time."
    $ garbage -= 60
    if garbage <= 0:
        jump roomcleaned
    hide blackscreen
    show mary shirt normal
    with dissolve
    m "There we are! It's certainly looking much better than it was this morning!"
    m pleading "Hopefully it will {i}still{/i} look this good by tomorrow morning..."
    p "Now, Mary, I've been thinking; wouldn't it be more proper for you to curtsy before you leave?"
    m concerned "Erm..."
    m "Well, I suppose so... you are my employer, after all."
    p "Your {i}[title].{/i}"
    m annoyed "Yes."
    m resigned "Well, then..."
    show mary at curtsy
    m "Good night, [title]."
    hide mary with dissolve
    play music "Yallahs.mp3"
    p "Like putty in my hands."
    p "Alright, time to trash this sumbitch."
    call gamestart from _call_gamestart_4
    p "I really am honing my craft of trash-weaving."
    p "Just like Da Vinci did."

    call nextday from _call_nextday_5
    label day6:
    play music "Diverti.mp3"
    show mary happy shirt at arrive with dissolve
    m "[title], I had a splendid idea for today!"
    p "Well, that's exciting. Do you want me to put my shirt on before you tell me?"
    m concerned "Oh, that's not necessary."
    p "(Fantastic. Not so prim and proper any more, are you?)"
    m flattered "So! I was thinking that today..."
    m excited "I can give you an {i}extra special{/i} reward."
    m bashful "I am even prepared to... undress some more."
    p "Hot."
    m ambitious "BUT! In exchange..."
    m flattered "You have to PROMISE not to mess up your room so badly overnight!"
    m normal "What do you say?"
    p "(Boy, I've really set her expectations for me at rock bottom, huh?)"
    p "(I can't believe she still thinks I'm not doing this on purpose.)"
    p "(But, no need to correct her...)"
    menu:
        "I can try.":
            m happy "That's the spirit, [title]!"

        "That might be difficult...":
            m concerned "Oh, come now, [title] [pname], I'm not asking for very much..."
            p "But this is exactly why we hired you! These sorts of tasks are very challenging for me."
            p "I suppose if my spoonful of sugar were {i}really{/i} spectacular..."
            m happy "That's the idea, [title]!"

        "You've got a deal.":
            m happy "Wonderful! I'm so glad to hear that, [title] [pname]."
            m ambitious "We'll get this room of yours clean yet!"

    m normal "Now, just what will that 'spoonful of sugar' of yours be?"
    m bashful "As I said, I am prepared to..."
    m flattered "Shed... some clothing..."
    p "(Well, that won't do, then.)"
    p "(I don't want you doing things you're already on board with...)"
    p "(How about instead...)"
    p "I want a handjob."
    m "I-"
    play music "Tea Roots.mp3"
    show mary:
        ypos 25
        zpos 110
    show bedroom:
        ypos 1100
        zpos 110

    m shocked "{size=+15}YOU WHAT?!{/size}" with vpunch
    p "I want you to give me a handjob."
    m "I- I-"
    m pleading "M-[title], you can't be serious!"
    m desperate "I know I've done a lot to motivate you to clean, but this is..."
    m pleading "That would be too far!"
    p "But you've come so far already! You're going to give up now?"
    p "We were making some real progress! Why, we almost have this place clean!"
    m concerned "{size=-10}Do we?{/size}"
    p "After all you've achieved here, you're going to throw in the towel, over what- a little arm exercise?"
    m indignant "The exercise isn't the problem, [title]!"
    m concerned "It's just..."
    m ashamed "If I start performing..."
    m pleading "Sexual... favors... for you."
    m nervous "That feels like crossing a line."
    menu:
        "I guess I thought you cared about me.":
            m desperate "I do care, [title]!"
            m pleading "I just... I don't know that I can bear to do this."
            p "Of course you can! You're Mary Poppins!"
            p "I don't think there's anything you can't do!"
            m "..."
        "So you can't finish the task you've started?":
            m shocked "What?!"
            p "Well, if you stop now... then you're giving up."
            p "That means that you couldn't finish your duty. You couldn't get my room clean."
            m pleading "I... I..."

    m ashamed "..."
    m destitute "{size=-20}And if I do this...{/size}"
    m concerned "{size=-14}You {i}promise{/i} that your room won't get any messier?{/size}"
    menu:
        "I promise that I will try.":
            m pleading "{size=-14}Is that really all?{/size}"
            m destitute "Well... I suppose it's better than nothing..."

        "I promise, Mary.":
            m bashful "..."

    m pleading "...Alright. I'll do it."
    p "(Aaand jackpot.)"
    hide mary
    show important
    show mary shirt pleading:
        ypos 25
        zpos 110
    with dissolve
    m embarrassed "But first... let me..."
    m destitute "Well... I don't want to get anything on my clothes..."
    p "I don't underst-"
    play sound "shirtoff.mp3"
    show mary pleading bra with dissolve
    p "Oh."
    m "I suppose..."
    m bashful "I suppose you're getting a little bonus sugar here, aren't you?"
    menu:
        "You are so beautiful, Mary.":
            m flattered "..."
            m "Thank you, [title]."
            m nervous "And now..."


        "All the more motivation for tonight.":
            m pleading "I suppose that's true..."
            m embarrassed "Then... th-this room had best be spotless when I come in tomorrow!"
            p "(No way that that's happening... but now may not be the best time to tell her that.)"
            m bashful "And, here goes..."

    play sound "shirtoff.mp3"
    show mary bottomless with dissolve
    m pleading "There we are... that's... new..."
    p "You don't have to take any more off if you don't want to."
    m bashful "...I think I'm fine."
    m ashamed "Although, it will be unfortunate if these tights get stained..."
    m bashful "But, I suppose I'm getting ahead of myself."
    m concerned "Now, you... ahem..."
    m embarrassed "May take out your..."
    p "..."
    m nervous "..."
    menu:
        "I want you to say it.":
            m pleading "Please... pull out your..."
            m destitute "...your penis... [title]..."
            play sound "zip.mp3"
        "As you wish.":
            play sound "zip.mp3"


    m worried "Ah! Okay. There it is!" with vpunch
    m bashful "It's no big deal. Just a..."
    m pleading "Just a man's..."
    p "Mary... are you a virgin?"
    m "..."
    p "(Just like my perfect waifus...)"
    p "It's alright... I am too."
    m "...you..."
    m embarrassed "...you are?"
    p "Sure. I mean, you've seen the way I live."
    p "It would be hard enough bringing a girl back to my parents' basement, getting them into that bed would be near impossible."
    m bashful "...pfft..."
    show mary:
        zpos 300
        ypos 130
    m laugh "{size=+13}Pffhahaha!{/size}" with vpunch
    m bashful "Hahaha... oh, thank you [title]... I needed something to relax me."
    m tease "Thankfully, you've found the one woman in the world who can tolerate this level of mess!"
    p "Thankfully, indeed."
    m bashful "Okay..."
    m resigned "I can do this."
    m ashamed "*Inhale*"
    show mary at goingdown
    pause 1.0
    hide mary with dissolve
    show important:
        zpos 200

    show handjob:
        zpos -300
        ypos -130
    with dissolve
    mc bra nervous "So... I just... stroke it?"
    p "Just take it gently in your hands, and rub up and down."
    mc ashamed "..."
    mc "...it's warm..."
    p "That's good, Mary... just like that..."
    mc "..."
    mc resigned"...does... does it feel good when I do this?"
    p "Hff! Yes, yes it does."
    mc flattered "...I'm glad."
    mc bashful "I... I want to make you feel good."
    p"(Fuck, keep saying shit like that, I won't last ten seconds.)"
    p "You are making me feel {i}very{/i} good, Mary..."
    p "God, you look so beautiful down there... your hands around my cock..."
    mc nervous "..."
    mc bashful "Thank you, [title]..."
    p "That's it, Mary... just like that..."

    menu:
        "Who's my good girl?":
            mc concerned "..."
            mc pleading "I am."
            p "That's right..."

        "You love to please your [title], don't you?":
            mc nervous "I..."
            mc resigned "Of course I do, [title]."

        "(Say nothing.)":
            mc ashamed "..."

    p "(Shit, she's actually pretty good at this...)"
    p "(I think I'm about to blow.)"
    p "(Should I tell her?)"
    menu:
        "Warn her.":
            p "Fuck, Mary, I'm gonna-"
            p "I'm gonna!"
            mc worried "Oh- OH!"
            mc worried "I- what do I-"
            play sound "cum.mp3" volume 0.2
            show handjob_cum:
                zpos -300
                ypos -130
            call cumming from _call_cumming

            scene bedroom
            show mary bra bottomless stockings concerned cumlegs at stage
            show mary at moveaway
            m ashamed "Well... that could have gone worse..."
            m bashful "I suppose these are going to have to be cleaned after all..."
            p "Well, we were about to start cleaning anyways, right?"
            m concerned "...right."
            m "Let me just... wipe that off, first..."
            hide mary with dissolve
            $ cumstained = True
            show mary bra bottomless stockings bashful with dissolve:
                xpos 50




        "Don't.":
            p "Nnff..."
            mc nervous "[title]? Are you-"
            p "Fff-FUCK!"
            mc "Maste-"
            mc shocked "AH!"
            play sound "cum.mp3" volume 0.2
            show handjob_cum:
                zpos -300
                ypos -130
            call cumming from _call_cumming_1
            scene bedroom
            show mary bra bottomless stockings shocked cumface at stage
            show mary at moveaway
            m "I... I..."
            m outraged "[title], you could have warned me!"
            p "I'm sorry, it snuck up on me."
            m frustrated "Now I've got your- your--"
            m outraged "...all over my face!"
            p "Yeah... you probably ought to clean that off before we start cleaning."
            m angry "I should- why, you-"
            p "Or don't, I guess. It's up to you, if you want to leave it on yourself."
            m frustrated "..."
            hide mary with dissolve
            p "(And off she goes, to grab a towel... fuck, that was hot.)"
            p "(I wonder what I can...)"
            p "(Oh?)"
            show mary bra bottomless stockings outraged cumface with dissolve
            m "There isn't a bathroom attached to your room, and..."
            m embarrassed "And... to get to one, I would have to pass by the room your parents are in, and..."
            m pleading "Do you have a towel in here?"
            menu:
                "There are some paper towels under the counter.":
                    m "Thank you, [title]."
                    hide mary with dissolve
                    show mary bra bottomless stockings pleading with dissolve

                "Here's a dirty sock.":
                    m shocked "I-"
                    m destitute "I suppose that will do..."
                    hide mary with dissolve
                    show mary bra bottomless stockings resigned with dissolve
                    m resigned "These socks desperately need a wash... and some odor eliminator."
                    p "Yeah, most of mine do."

    m "Well then, now... with that out of the way..."
    m embarrassed "Shall we get to the actual cleaning?"
    p "That sounds like a fantastic idea."
    m bashful "Excellent."
    show blackscreen with dissolve
    play music "Diverti.mp3"

    "You and Mary worked hard to clean your room."
    "You noticed that she kept making small glances towards the front of your underwear."
    "Once, by 'accident', you let them slip down just enough to show off the base of your cock."
    "Mary quickly busied herself cleaning something on the opposite side of the room."
    $ garbage -= 60
    if garbage <= 0:
        jump roomcleaned
    hide blackscreen
    with dissolve
    m "And there we are, [title]."
    m concerned "Still a bit to go, but it should be easy to knock out tomorrow..."
    m pleading "As long as you don't make it too messy again tonight... as you promised?"
    p "Exactly as I promised."
    m bashful "Well... I hope that's true."
    show mary at pantiesout
    m playful "Thank you, [title]."
    m "I'll see you tomorrow!"
    hide mary with dissolve
    play music "Yallahs.mp3"
    p "Fuck. Today was..."
    p "HUGE results. Fantastic progress."
    p "But now I'm stuck."
    p "Mary made me promise not to make my room too dirty; if I break that promise, she'll be upset."
    p "And that means no more..."
    p "Canoodling."
    p "But if I DON'T make my room any dirtier, then we'll probably finish cleaning it tomorrow."
    p "And that's no good either!"
    p "I'm in a real conundrum here."
    p "Maybe..."
    p "Maybe if I'm careful... I can get it *just* dirty enough that we don't finish cleaning tomorrow?"
    p "But not SO dirty that I clearly ignored my promise."
    p "Gotta thread the needle here... there's a sexy British maid on the line."
    call gamestart from _call_gamestart_5
    p "Okay... fingers crossed I got it right."
    p "I guess we'll find out tomorrow."
    $ cumstained = False
    call nextday from _call_nextday_6
    label day7:
    play music "Diverti.mp3"
    show mary happy shirt at arrive with dissolve




    m smile "Good morning, [title] [pname]."
    m normal "I hope that you-"
    if garbage > 75:
        m shocked "I- uph-"
        m "This is-"
        m pleading "This is as messy as ever!"
        m desperate "[title] [pname], you promised!"
        p "I know, I know... I'm sorry."
        m frustrated "Sorry isn't going to cut it, {i}[title].{/i}"
        m indignant "It has become perfectly clear that you have no intention of ACTUALLY cleaning your room."
        m resigned "And I'm afraid I don't have the ability to change that."
        m annoyed "So I'll be resigning from this position immediately."
        p "Wait, what?! But- but Mary Poppins doesn't give up!"
        m depressed "I'm not giving up... I'm cutting my losses."
        m nervous "Goodbye, [title]."
        hide mary with dissolve
        show blackscreen with dissolve
        show gameover with dissolve
        camera:
            perspective True
            zpos -300
            ease 3.0 zpos 0
        with dissolve
        pause 1.0
        "Would you like to retry from the previous morning?"
        menu:
            "Yes":
                jump day6
            "No":
                $ MainMenu(confirm=False)()

    elif garbage < 50:
        m happy "Oh, [title], it's hardly any messier at all!"
        m laugh "Oh, I'm so proud of you!"
        p "Thanks, Mary. I did it just for you."
        m normal "Let's get to work, and we'll have this cleaned in no time!"
        p "Yeah, I- that sounds... great..."
        show blackscreen with dissolve
        "You and Mary work briskly to clean your room."
        "You quickly realize that it isn't nearly dirty enough, and that it will be spotless in minutes."
        "You try to sprinkle some filth behind you as you go, but Mary sweeps it up behind you."
        "Inevitably, the room is cleaned."
        $ garbage = 0
        hide blackscreen with dissolve
        m excited "There we are! All done!"
        m normal "Now, you can move along to that job search!"
        m "It's the dawn a whole new era for you, [title]."
        p "...shit."
        show blackscreen with dissolve
        show gameover with dissolve
        camera:
            perspective True
            zpos -300
            ease 3.0 zpos 0
        with dissolve
        pause 1.0
        "Would you like to retry from the previous morning?"
        menu:
            "Yes":
                jump day6
            "No":
                $ MainMenu(confirm=False)()

    else:
        m concerned "[title]... it's awfully messy in here."
        m pleading "You promised..."
        p "I did! I was on my best behavior all night, I swear!"
        p "I mean, sure, I made SOME mess, but..."
        p "I really was trying to keep it clean. Can't you tell?"
        p "It's usually so much worse!"
        m nervous "I suppose that's true..."
        p "(Moment of truth... is she gonna buy it?)"
        m "Well..."
        m flattered "Well, if that's true... then thank you, [title] [pname]."
        p "(And boom goes the dynamite.)"
        m normal "What say we get down to work, and finish this room off?"
        p "Wait- don't I get a spoonful of sugar?"
        m nervous "But..."
        m embarrassed "I gave you... a handjob yesterday..."
        p "And that was to keep the room clean overnight- but I don't have anything to help me clean NOW."
        m resigned "Ah... I see."
        play music "Tea Roots.mp3"
        m "Very well, I suppose..."
        m embarrassed "What is it you would like?"
        menu whatchawannadoagain:
            "Take your clothes off.":
                m embarrassed "I see... you want me to clean in my underwear again?"
                p "(If I say yes now, maybe I'll be able to talk her out of that underwear as we go...)"
                p "(Worth a shot.)"

            "Suck my cock.":
                p "(That might be a little bit bold for now...)"
                p "(Soon, but not just yet.)"
                jump whatchawannadoagain

            "Explain the plot of Bridgerton to me.":
                m nervous "Oh- I'm sorry, [title], I don't watch that show."
                p "Yeah, neither do I- so I guess we can skip that one."
                jump whatchawannadoagain

        p "Yes, that would be perfect."
        m bashful "Alright, then... as you wish, [title] [pname]."
        hide mary
        show important
        show mary shirt bashful at stage
        with dissolve
        m flattered "I guess you've already seen this before..."
        play sound "shirtoff.mp3"
        show mary bra with dissolve
        p "Still love to see it. Every time."
        m playful "Thank you, [title]."
        play sound "skirtoff.mp3"
        show mary bottomless with dissolve
        m normal "Alright! There you are, [title]."
        m "Now let's get down to it!"
        p "Oh, come on, you can do more than that!"
        m worried "I- what?"
        m embarrassed "[title]... we just said in my underwear..."
        m pleading "I don't think I'm comfortable taking any more off..."
        p "But you're not even in just your underwear! You've still got stockings on!"
        m ashamed "My stockings?"
        m "Well... I suppose it wouldn't be too bad to take those off..."
        m pleading "And then we can clean?"
        p "Absolutely."
        m "Ehm... alright, then..."
        show mary panties at stockingsoff with dissolve
        m embarrassed "I know it's not a dramatic change, but... I feel so exposed..."
        menu:

            "It's alright, it's only me.":
                m bashful "I know, [title], but still..."
                m nervous "It isn't really decent."
                p "Well, I don't particularly care about decency: I want you to be comfortable around me."
                m "..."
                m flattered "You're right. I have nothing to hide from you!"


            "Your legs are lovely; you should be proud to show them off.":
                m flattered "Thank you, [title]."
                m tease "You always make me feel so beautiful..."
                p "That's good, because you are."
                m bashful "..."

        m normal "Alright. Let's not waste any more time, and get down to cleaning!"
        show blackscreen
        hide important
        hide mary
        with dissolve
        play music "Diverti.mp3"
        "You and Mary work passionately to clean your room."
        "You feel that her ass somehow still looks nice in her incredibly unflattering panties."
        "You may be imagining things, but it seems as though she wiggles her butt a little whenever you look over towards her..."
        $ garbage = 14
        hide blackscreen
        show mary bra panties bottomless
        with dissolve
        m "And just a bit over here..."
        hide mary with easeoutright
        p "(Shit... this is coming along too quickly.)"
        p "(At this rate, my room will be clean before she leaves... I need to make it to tomorrow to have time to re-filth it!)"
        p "(Gotta stall her...)"
        show mary bra panties bottomless with easeinright:
            xzoom -1
        m "This is going so smoothly! Isn't it satisfying cleaning your room, [title]?"
        p "I guess so. I've never really seen the appeal."
        p "I don't mind a bit of mess."
        m indignant "Oh, come now, [title]! A cluttered room is a cluttered mind!"
        m normal "Keeping a tidy living space is very important!"
        p "Why do you care so much about cleaning? Have you always been like this?"
        play music "Tea Roots.mp3"
        m nervous "Well- no, actually. I was quite the messy child indeed..."
        m embarrassed "But... my father was... tempermental."
        p "(Holy shit, Daddy issues. Jackpot.)"
        m ashamed "He would get upset when the house was untidy... he would yell."
        m resigned "And sometimes..."
        m destitute "..."
        m bashful "But! That just meant that Mother and I learned to keep things spick and span!"
        menu:
            "That's awful. You didn't deserve the way he treated you.":
                m ashamed "I... I suppose you're right..."
                m bashful "But... if we'd just kept the house clean-"
                p "Your worth isn't tied to your cleanliness, Mary."
                p "I think you're wonderful exactly as you are, and no untidy rooms are going to change that."
                m playful "..."
                m happy "Thank you, [title]."

            "I would never do that to you, Mary.":
                m bashful "Oh, I know you wouldn't, [title]."
                m normal "Even though you can be a bit petulant..."
                m playful "You've always been very kind to me."
                m laugh "Outside of that one spanking."
                p "That was different."
                m normal "I know, [title]."

            "I'm so sorry.":
                m ashamed "..."
                m "Thank you, [title]."
                m bashful "It's sort of funny... I sometimes forget how much all of that weighs on me."
                m normal "But it's nice to have someone to talk about it with."
                m "I'm glad I have you, [title]."

        menu:
            "You can call me Daddy, if you want.":
                m flustered "Oh! You-"
                m embarrassed "[title], I'm- I'm not entirely sure that's appropriate-"
                p "I don't care about appropriate. And you shouldn't either."
                p "The walls you pretend there are between us don't exist."
                p "I want you to do it if you {i}want{/i} to do it."
                m nervous "..."
                m resigned "......."
                m flattered "............."
                $ title = "Daddy"
                m "Okay... [title]."
                p "That's a good girl."
                m smile "..."

            "(Under absolutely no circumstances should she call me Daddy.)":
                "You sit, perfectly silently, for a few moments."

        p "Mary... can you do something for me?"
        m normal "Yes, [title]?"
        p "...I want you to take your bra off."
        hide mary
        show important
        show mary bra panties flustered bottomless at stage:
            xzoom -1
        with dissolve

        m flustered "Wha- [title], I-"
        p "You don't have to. This isn't in exchange for anything."
        p "But I want you to do it."
        m embarrassed "[pname], we really should get back to cleaning..."
        p "Leave it. A little mess is no bother to me."
        p "We can finish that tomorrow."
        m "But... I'm being paid to-"
        p "One more day won't change anything. Right now, you're here with me."
        p "I want you to take off your bra."
        p "Will you do that for me?"
        m resigned "..."
        p "...will you do it for your [title]?"
        m flattered "...okay, [title]."
        play sound "clasp.mp3"
        show mary topless at stockingsoff with dissolve
        m "Do... do you like them?"
        p "Of course I do."
        p "You are so beautiful... and your boobs look {i}amazing.{/i}"
        m laugh "Thank you, [title]."
        m shy "It feels... nice. To show them off."
        m normal "To you."
        menu:
            "And only to me, right?":
                m laugh "Of course, [title]."
                m shy "I'm not exactly running around flashing random men on the street."
                p "(Store that idea away for later.)"
                m "I'm really only this comfortable around you, [pname]."

            "It should. If you've got it, flaunt it.":
                m shy "I've never heard that before..."
                m normal "But, I suppose if it's with you..."
                m happy "That's not too bad."

        m sneaky "In fact..."
        m bashful "..."
        play sound "skirtoff.mp3"
        show mary commando at stockingsoff with dissolve
        m "!!!"
        p "(Holy shit.)"
        m "There! I did it!"
        m "I am..."
        m horny "Naked... in front of you..."
        m flattered "...my [title]..."
        p "I... wow."
        m embarrassed "I'm sorry, [title], I hope this wasn't too much..."
        p "Too much?! No such thing!"
        p "This is... {i}fantastic{/i}."
        m flattered "...thank you."
        p "Also, fully shaved- very nice."
        m bashful "Well, I like to keep myself tidy, too."
        m "I'm glad I can-"
        p "Here, I'll even make you more comfortable."
        play sound "zip.mp3"

        camera:
            perspective True
            easein 0.5 ypos 60
            easein 0.5 ypos 0
        m shocked "Oh! [title], you- you took off your-"
        m embarrassed "I can see your-"
        m pleading "{size=+15}I think I'd better leave!{/size}" with vpunch
        p "Yeah, I- wait, what?"
        play music "Yallahs.mp3"
        show mary at moveaway
        hide important with dissolve
        m "I need my skirt-- and--"
        m embarrassed "{size=-15}--and my underwear--{/size}"
        p "Mary, wait! Why are you--"
        m desperate "I'm sorry, [title], but I need to go!"
        m pleading "I'll see you tomorrow!"
        hide mary with dissolve
        p "Aaand, there she goes... up the stairs, fully naked."
        p "FUCK!"
        p "Did I push her too far? I thought that us BOTH being naked would make her more comfortable!"
        p "Fuck... I don't even know what to do now."
        p "Well, she said she'd be back tomorrow..."
        p "I guess..."
        p "My best bet is to mess up my room like usual. We can't run out of stuff to clean... ESPECIALLY not now."
        p "I need more time to fix whatever I just fucked up."
        p "Okay... time to get to it."
        call gamestart from _call_gamestart_6
        p "That should be plenty to give Mary and I some time to talk about... whatever just happened."
        p "I hope things aren't too messed up..."
        $ cumstained = False
        scene blackscreen with dissolve
        pause 0.3
        show nextday with dissolve
        $ day += 1
        $ whichday = "day" + str(day)
        pause 1
        scene bedroom
        camera:
            perspective True
            zpos -300
            ease 3.0 zpos 0
        with dissolve
        label day8:

        p "It's later than she usually shows up..."
        p "Shit, she's still coming isn't she?"
        p "Wait- do I hear..."
        play music "Tea Roots.mp3"
        show mary shirt concerned at arrive
        m "Good morning, [title]."
        m nervous "I see you had a messy evening..."
        m ashamed "Although I suppose that's just as much my fault as yours..."
        menu:
            "I'm sorry I upset you.":
                m pleading "It wasn't your fault, [pname]!"
                m nervous "It wasn't what you did. I just..."

            "Why did you run away?":
                m "I'm sorry. I didn't mean to..."
                m "I just..."

            "You worried me last night.":
                m "I'm sorry... I didn't mean to upset you."
                m "I just..."

        m embarrassed "When you took out your..."
        m bashful "...penis..."
        m nervous "And with me naked in front of you, it just..."
        m ashamed "It all got very real, very quickly."
        m resigned "But I'm sorry that I reacted that way. I didn't mean to make you worry."
        p "It's alright, Mary. If you don't want to, we don't have to do anything new today-"
        play music "Diverti.mp3" fadein 2.0
        m indignant "Nonsense!"
        p "I- I'm sorry, what?"
        m ambitious "This room isn't going to clean itself! And if it's going to get clean, you're going to need some proper motivation."
        play sound "shirtoff.mp3"
        show mary bra with dissolve
        m flattered "It's time to give you your spoonful of sugar."
        play sound "skirtoff.mp3"
        show mary bottomless with dissolve
        m ambitious "So, what would you like today, [title]?"
        p "Well... I'm not sure, I-"
        m indignant "Oh, come on now, don't give me that!"
        play sound "shirtoff.mp3"
        show mary panties at pantiesout with dissolve
        m ambitious "You've come up with so many creative rewards before! I know you've got something in mind!"
        play sound "clasp.mp3"
        show mary topless with dissolve
        m "Well? Surely, this must be giving you SOME ideas!"
        play music "Tea Roots.mp3"
        play sound "shirtoff.mp3"
        show mary commando at pantiesout with dissolve
        m "Let's hear it then!"
        show mary playful at approach
        m "What do you want me to do to you, [title]?"
        p "F-fuck, I-"
        m "Perhaps this would help..."
        play sound "zip.mp3"
        play sound "skirtoff.mp3"
        p "(Shit, she just took off my pants!)"
        p "(And underwear too... she sure isn't being so shy today.)"
        p "(What DO I want...)"
        menu sexyprop:
            "Step on me, mommy.":
                p "(Shit, I can't give her that kind of power!)"
                p "(Reel it in!)"
                jump sexyprop

            "Suck my cock.":
                m indignant "Why, Mister [pname]! Such vulgar language!"
                m ambitious "How unbecoming of a gentleman like yourself!"
                m sneaky "Now, try that more politely."
                m ambitious "What's the magic word?"

            "Marry me.":
                p "(Wait- no! That's not it!)"
                p "(That's just the boner talking! Stay on target!)"
                jump sexyprop

        menu magicword:
            "Supercalifragilisticexpialadocious?":
                m nervous "No, it- wait, where did you learn that from?"
                p "Don't worry about it."
                m indignant "Well, anyways, you'll have to try again."
                jump magicword
            "Akabur Rules?":
                m nervous "I don't know who that is or what that means."
                p "Then you're streets behind."
                m "Well, whatever- try again!"
                jump magicword
            "Please?":
                m laugh "There you are!"
                m ambitious "Asking with proper manners is always important."

        m flattered "And, just because you asked so politely..."
        m ambitious "Yes, I {i}will{/i} suck your cock, [title]."
        p "(....FUCK YEAH.)"
        show blackscreen with dissolve
        hide mary
        "Mary shuffles some garbage off the edge of your bed."
        "She seems to be going out of her way to pose as sexily as possible as she does so."
        "Finally, she lays down and cranes her head up to reach your waist."
        hide blackscreen
        show important:
            zpos 200

        show blowjob:
            zpos -300
            ypos -130
        with dissolve
        mc bra horny "Now, let me take it... into my mouth..."
        mc concerned "Remember, [title], I've never done this before... so forgive me if it's imperfect."
        p "You are INCREDIBLY forgiven."
        mc bashful "Thank you, [title]."
        mc sucking "Aah- mmmhmm..."
        p "(Ohhohho, shit!)"
        p "(I can't believe she's really doing it... Mary Poppins has my cock in her mouth!)"
        p "(Fuck, she's actually pretty good at this...)"
        mc horny "Mmmhmm... do you like that, [title]?"
        menu:
            "It's fantastic.":
                mc shy "I'm glad..."
                mc horny "I want to please you, [title]."

            "Keep sucking, girl.":
                mc bashful "Teehee!"
                mc horny "As you wish, [title]."

        mc sucking "Mmm..."
        p "Do you like the taste of my cock, Mary?"
        mc "Muah! Of course, [title]."
        mc horny "It's delicious..."
        p "That's a good girl."
        p "Now put it back in your mouth."
        mc sucking "Aaah..."
        mc horny "Mmmphm..."
        p "(Shit, I'm getting close to finishing...)"
        p "(Should I warn her?)"
        menu:
            "Warn her.":
                p "Ohh, fuck, Mary... I'm gonna--"
                mc embarrassed "Mmhhm?"
                mc shocked "MMM!"
                show blowjob_cum
                call cumming from _call_cumming_2

                scene bedroom
                show important
                show mary sucking bottomless topless commando cummouthopen at stage
                m "Hhhaahh..."
                p "FUCK, that's hot."
                m desperate "Ahaha..."
                p "Now... "
                p "Swallow, like a good girl."
                m bashful cummouthclosed "Mmm!"
                m nervous "..."
                m resigned "Glp!"
                m flattered "Thank you for the meal, [title]."
                p "FUCK, THAT'S HOT!" with vpunch
                m smile "Hmhm! I'm glad you liked it."
                p "You'd better believe I did..."
                p "Shit, I am SO ready to clean right now."
                m "Then my job is a success!"

            "Don't.":
                p "Nn- NNF-"
                mc concerned "Mmm?"
                mc shocked "MMF!"
                show blowjob_cum:
                    xpos 53 ypos -96
                call cumming from _call_cumming_3

                scene bedroom
                show important
                show mary shocked bottomless topless commando cummouthopen at stage
                m "Ehhehh!"
                p "Whoo... I'm sorry, that really snuck up on me!"
                m outraged "Arrghahg!"
                p "It's hard to understand you with all of that in your mouth..."
                p "You probably ought to just swallow it."
                m shocked "...!"
                m desperate "..."
                m resigned cummouthclosed "Glp!"
                m frustrated "YOU COULD HAVE WARNED ME!" with vpunch
                p "I'm sorry- like I said, it snuck up on me."
                m annoyed "Oh, of course it did..."
                m frustrated "You're really trying my patience, [title]."
                p "No worries- I'm going to clean like my life depends on it."
                m nervous "As you should."

        show blackscreen with dissolve
        hide mary
        "You and Mary worked somewhat slowly to clean your room."
        "She tried to move faster, but every time you passed her by, you grabbed a hold of her ass or her breasts."
        "She protested, but continued to walk close by you frequently."
        $ garbage = 14
        hide blackscreen
        show important
        show mary topless commando bottomless smile at stage
        with dissolve
        m "Well, that ought to do for today..."
        play music "Sincerely.mp3"
        m concerned "Now, [title]... can I trust you not to make your room filthy again by tomorrow?"
        p "Well... maybe with the right motivation..."
        m horny "Oh really? And what would that be?"
        p "Well, we've been cleaning for a bit... I've had time to cool off..."
        p "Would you want to... join me on the bed?"
        m shocked "..!"
        m embarrassed "[title], I... I don't know what to--"
        camera:
            perspective True
            easein 0.9 zpos -120 ypos -40


        p "Don't answer so that I keep my room clean. Tell me yes only if you want to."
        m concerned "..."
        m smile "..."
        m playful "Yes!"
        play sound "kiss.mp3"
        show mary kiss:
            easein 0.5 zpos 490 ypos 190
        scene blackscreen with dissolve
        "You two make your way to the bed, her lips locked onto yours."
        "She falls back, giggling, against the freshly-cleaned mattress."
        "You slide behind her, running your hands along her tender skin."
        mc bra  tease "Ah...[title], be gentle..."
        menu:
            "I will. I promise.":
                mc topless bashful "...I..."
                mc smile "Thank you, [title]..."
            "(Enter roughly.)":
                mc sucking "OoHhhoh, [title]!"

            "Kiss her.":
                mc horny "Mmm..."
                mc sucking "MmmHMMM!"
        scene bedroom
        show important
        show sex_nervous:
            zoom 0.6 xpos 270 ypos 140
        with dissolve
        mc bra  "Ohhohh, [title]!"
        p "(Mission accomplished!)"
        p "(God, she feels so fucking good...)"
        mc "Ohh, yes... hah..."
        mc fucking "Mmff, [pname]... you feel so good inside me!"
        menu:
            "(Slap her tits.)":
                play sound "slap.mp3"
                mc shocked "Ah!" with vpunch
                mc embarrassed "[title]..."
                p "What? Is there a problem?!"
                mc bashful "...Of course not."
                mc fucking "Slap my... {i}tits{/i} as much as you like, [title]..."
            "You like that, you slut?":
                mc concerned "Erm- I..."
                mc horny "Yes, I love it, [title]..."
                mc fucking "I love that you're FUCKING me like your   \n little whore!"
            "(Fuck her harder.)":
                mc sucking "Oh, God, yes, [title], give it to me..."
                mc fucking "Pound me as hard as you can... make me yours..."

        hide sex_nervous
        show sex_happy:
            zoom 0.7 xpos 210 ypos 90
        with dissolve
        mc "Fuck me like the slut that I am!"
        mc horny "YOUR slut, [title]! I belong to you, and \n only you!"
        p "FUCK, YES!"
        mc fucking "AHN, that's right, [title]! Show me I'm \n yours!"
        mc sucking "CUM INSIDE ME! CLAIM ME!"
        p "OHHH, FFFUCK!"
        show sex_cum:
            xpos 47 ypos -99
        call cumming from _call_cumming_4
        show whitescreen:
            zpos 300
        mc bashful "Ahhn... thank you, [pname]..."
        mc "I... I love you..."
        menu:
            "I love you, too.":
                scene blackscreen with dissolve
            "I know.":
                scene blackscreen with dissolve
        camera:
            perspective True
            zpos 0 xpos 0 ypos 0
        pause 2.0
        show nextday with dissolve
        pause 2.0
        scene bedroom:
            zpos 400
        show important
        with dissolve

        p "Mmm..."
        p "It's... morning?"
        p "I- oh-"
        show mary outraged topless bottomless commando with dissolve:
            zpos 400 xpos 40 ypos 200
        m "*Yawn*!"
        m bashful "Mmm, good morning, [title]."
        m playful "Let's sleep in a bit- then, we can finish cleaning this room, alright?"
        p "..."
        p "I am surprisingly okay with that."
        m laugh "Well, I'm glad to hear it!"
        m smile "Now come here- I'm too far away from you."
        show mary:
            easein 2.0 zpos 500
        show blackscreen with dissolve
        pause 2.0
        "Some time later..."
        play music "Yallahs.mp3"
        scene penthouse
        camera:
            perspective True
            zpos -300
            ease 3.0 zpos 0
        with dissolve

        p "Ahh, another day in paradise."
        p "This is the life... no job, no worries."
        p "All I have to do is hang out and play video games."
        p "And the best part is-"
        p "Ah! Here she comes now..."
        play music "Diverti.mp3"
        if persistent.top == "mary_shirt":
            call whitedresson from _call_whitedresson_1
            show mary shirt smile at arrive with dissolve
        else:
            show mary topless commando hat smile at arrive with dissolve
        m "Hello, [title]!"
        m tease "I missed you all day!"
        m playful "And I'm so proud of you- the apartment isn't any dirtier than it was this morning!"
        m laugh "It's no cleaner, either, but I know how you are, [pname]."
        p "I am incorrigible."
        m normal "Work today was fine- I cleaned for a nice pair of young English children."
        m nervous "Their father is a banker or something... I can't really remember."
        m bashful "They actually offered to make me a live-in nanny! But, of course, I turned them down."
        m ambitious "After all, I had you at home to get back to!"
        p "Atta girl."
        m normal "Speaking of which- I picked up some groceries, and I'm about to start dinner."
        m horny "Do you want me to suck your cock before I get cooking, [title]?"
        p "Hmm..."
        p "No, that can wait until after dinner. That way you have time to change into something sexy for me."
        m shy "*Teehee*! Of course, [title]."
        m smile "I'll get started right away!"
        hide mary with easeoutright
        p "...like I said..."
        scene whitescreen with dissolve
        p "Paradise."
        if persistent.gamebeaten == False:
            $ persistent.menu = 2
        $ persistent.gamebeaten = True
        stop music fadeout 1.5
        pause 1.0
        play music "main_menu_theme.mp3"
        pause 1.0
        centered "{size=+75}{cps=30}Written and Created by \n\Shagamon Games{/cps}{/size}{p=2.0}{nw}" with dissolve
        pause 1.0
        centered "{size=+75}{cps=50}Music by \n James B. Partridge and Incompetech.com{/cps}{/size}{p=1.0}{nw}{size=+20}{cps=50}\n \n Full Attribution in 'About' Screen{/cps}{/size}{p=2.0}{nw}" with dissolve
        pause 1.0
        centered "{size=+75}{cps=30}Sound Effects from Pixiv.com{/cps}{/size}{p=2.0}{nw}" with dissolve
        pause 1.0
        centered "{size=+75}{cps=30}All characters owned by \n The Walt Disney Company{/cps}{/size}{p=2.0}{nw}" with dissolve
        pause 1.0
        centered "{size=+75}{cps=30}Thank you for playing! \n \n -Shagamon{/cps}{/size}{p=2.0}{nw}" with dissolve
        pause 1.0
        show blackscreen with dissolve
        "You can now change the main menu image using the 'Options' menu."
        pause 1.0





        #menu:












    # This ends the game.

    return
